Bug 36609 - 45920d2ecb38b14fdda5253fecce996570c22863 breaks sauerbraten on r300g
45920d2ecb38b14fdda5253fecce996570c22863 breaks sauerbraten on r300g
Status: RESOLVED FIXED
Product: Mesa
Classification: Unclassified
Component: Drivers/Gallium/r300
git
x86 (IA32) Linux (All)
: medium normal
Assigned To: Default DRI bug account
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-26 08:55 UTC by Fabio Pedretti
Modified: 2011-10-28 18:23 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Fabio Pedretti 2011-04-26 08:55:43 UTC
This commit breaks some textures (it hides half of a rectangular texture leaving a triangle) in sauerbraten (example: the explosion texture on a wall on justice map) with r300g. It's fine with llvmpipe.

45920d2ecb38b14fdda5253fecce996570c22863 is the first bad commit
commit 45920d2ecb38b14fdda5253fecce996570c22863
Author: pepp <pelloux@gmail.com>
Date:   Mon Apr 11 17:16:45 2011 +0200

    u_vbuf_mgr: fixed vbo max_index calculation
    
    Signed-off-by: Marek Olšák <maraeo@gmail.com>

:040000 040000 56baa6ab66d41990ebd6052fe2fdb723e1e6a480 a4065a7d1586baeb169a05d6194d01735dc3025e M	src
Comment 1 almos 2011-04-30 04:55:50 UTC
This also affects ut2004. Some examples: one triangle is missing from the health vials, on AS-Convoy the sky is missing a triangle and half of the floor of the boarding platform is missing.
Comment 2 Marek Olšák 2011-05-14 11:06:10 UTC
Fixed by 51095f74cf92d3cada7366ce898ade7693570b48. Closing.
Comment 3 almos 2011-05-15 02:49:49 UTC
Unfortunately, commit 51095f74cf92d3cada7366ce898ade7693570b48 doesn't fix the missing triangles in ut2004.
Comment 4 Fabio Pedretti 2011-06-08 08:41:15 UTC
(In reply to comment #3)
> Unfortunately, commit 51095f74cf92d3cada7366ce898ade7693570b48 doesn't fix the
> missing triangles in ut2004.

Is this still an issue? If yes is 45920d2ecb38b14fdda5253fecce996570c22863 the first bad commit? Maybe this should be moved to a new bug since my original problem is fixed.
Comment 5 Marek Olšák 2011-06-08 16:47:19 UTC
almos,

does 578d4539ba72a9f52e0cb3f615bb04bf9407b574 fix it?
If not, please attach a screenshot demontrating the problem.
Comment 6 Tom Stellard 2011-10-28 18:23:44 UTC
The issue with sauerbraten has been fixed.  If you are still experiencing problems with ut2004, please file a new bug and attach a screenshot demonstrating the bug.